Skip to main content
POST
/
campaigns
/
{campaignId}
/
contacts
/
bulk
Create contacts for a campaign
curl --request POST \
  --url https://api.callers.ai/campaigns/{campaignId}/contacts/bulk \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contacts": [
    {
      "name": "<string>",
      "phoneNumber": "<string>",
      "data": {},
      "phoneNumbers": [
        "<string>"
      ],
      "timezone": "<string>",
      "archived": false
    }
  ]
}
'
{
  "requested": 123,
  "added": 123,
  "modified": 123,
  "contactIds": [
    "<string>"
  ],
  "contactDetails": [
    {
      "contactId": "<string>",
      "phoneNumber": "<string>",
      "status": "created"
    }
  ]
}

Authorizations

Authorization
string
header
required

Headers

x-sub-organization-id
string

Optional sub organization ID. Must belong to your main organization API key.

Path Parameters

campaignId
string
required

Query Parameters

fixUSPhoneNumber
boolean

Will add 1 to the phone number if it doesn't starts with 1

verbose
boolean

When true, returns detailed contact information including phone numbers and status (created/updated) for each contact. Default is false (returns only contact IDs)

Body

application/json
contacts
object[]
required

Array of contacts to create.

Response

requested
number
required

Number of contacts received in the request

added
number
required

Number of new contacts created

modified
number
required

Number of contacts modified

contactIds
string[]
required

List of IDs for contacts created or modified

contactDetails
object[]

Detailed contact information with phone numbers and status (created/updated). Only included when verbose=true